---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libHeapFilter.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x2B00, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x572E0, symBinAddr: 0xC240, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x59220, symBinAddr: 0xE180, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x59610, symBinAddr: 0xE570, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x5A5B0, symBinAddr: 0xF510, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x5A5C0, symBinAddr: 0xF520, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x56F10, symBinAddr: 0xC0D0, symSize: 0x0 }
  - { offsetInCU: 0xBC4, offset: 0xBC4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x56F14, symBinAddr: 0xC0D4, symSize: 0x0 }
  - { offsetInCU: 0xBCF, offset: 0xBCF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x56F18, symBinAddr: 0xC0D8, symSize: 0x0 }
  - { offsetInCU: 0xC14, offset: 0xC14, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x57070, symBinAddr: 0xC0E0, symSize: 0x0 }
  - { offsetInCU: 0xC8D, offset: 0xC8D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x57128, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0xCAB, offset: 0xCAB, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x5712C, symBinAddr: 0xC19C, symSize: 0x0 }
  - { offsetInCU: 0xCC4, offset: 0xCC4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x57130, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0xCDD, offset: 0xCDD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x57134, symBinAddr: 0xC1A4, symSize: 0x0 }
  - { offsetInCU: 0xCF6, offset: 0xCF6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x57138, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x92E5, offset: 0x92E5, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x57140, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x936E, offset: 0x936E, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x57150, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x9387, offset: 0x9387, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x57158, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x93A0, offset: 0x93A0, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x57160, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x93B9, offset: 0x93B9, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x57168, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x93D2, offset: 0x93D2, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x57170, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x93EC, offset: 0x93EC, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x57178, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x94D2, offset: 0x94D2, size: 0x8, addend: 0x0, symName: __ZL11filter_type, symObjAddr: 0x10048, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0x94EB, offset: 0x94EB, size: 0x8, addend: 0x0, symName: __ZL12objects_info, symObjAddr: 0x571C0, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0x95D3, offset: 0x95D3, size: 0x8, addend: 0x0, symName: __ZL16reported_objects, symObjAddr: 0x57200, symBinAddr: 0xC230, symSize: 0x0 }
  - { offsetInCU: 0x95EC, offset: 0x95EC, size: 0x8, addend: 0x0, symName: __ZL23TAGGED_STATIC_INT_VALUE, symObjAddr: 0x1004C, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0x9605, offset: 0x9605, size: 0x8, addend: 0x0, symName: __ZL25UNTAGGED_STATIC_INT_VALUE, symObjAddr: 0x10050, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0x961E, offset: 0x961E, size: 0x8, addend: 0x0, symName: __ZL16TAGGED_INT_VALUE, symObjAddr: 0x10054, symBinAddr: 0xC0AC, symSize: 0x0 }
  - { offsetInCU: 0x9637, offset: 0x9637, size: 0x8, addend: 0x0, symName: __ZL18UNTAGGED_INT_VALUE, symObjAddr: 0x10058, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0x9657, offset: 0x9657, size: 0x8, addend: 0x0, symName: __ZL22TAGGED_INT_ARRAY_VALUE, symObjAddr: 0x1005C, symBinAddr: 0xC0B4, symSize: 0x0 }
  - { offsetInCU: 0x967C, offset: 0x967C, size: 0x8, addend: 0x0, symName: __ZL24UNTAGGED_INT_ARRAY_VALUE, symObjAddr: 0x10064, symBinAddr: 0xC0BC, symSize: 0x0 }
  - { offsetInCU: 0x9695, offset: 0x9695, size: 0x8, addend: 0x0, symName: __ZL21expected_object_count, symObjAddr: 0x1006C, symBinAddr: 0xC0C4, symSize: 0x0 }
  - { offsetInCU: 0x96AE, offset: 0x96AE, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x57208, symBinAddr: 0xC238, symSize: 0x0 }
  - { offsetInCU: 0x9705, offset: 0x9705, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x17A0, symSize: 0x80 }
  - { offsetInCU: 0x979A, offset: 0x979A, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x16F0, symSize: 0xB0 }
  - { offsetInCU: 0x97F5, offset: 0x97F5, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x15F0, symSize: 0x100 }
  - { offsetInCU: 0x9A88, offset: 0x9A88, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x1820, symSize: 0xC0 }
  - { offsetInCU: 0x9ADA, offset: 0x9ADA, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x18E0, symSize: 0x220 }
  - { offsetInCU: 0x9CBF, offset: 0x9CBF, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1B00, symSize: 0xA0 }
  - { offsetInCU: 0x9D72, offset: 0x9D72, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x1BA0, symSize: 0x110 }
  - { offsetInCU: 0x9E68, offset: 0x9E68, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x1CB0, symSize: 0x150 }
  - { offsetInCU: 0x9FC5, offset: 0x9FC5, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1E00, symSize: 0x30 }
  - { offsetInCU: 0xA0A6, offset: 0xA0A6, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x1E30, symSize: 0x150 }
  - { offsetInCU: 0xA29E, offset: 0xA29E, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x1F80, symSize: 0x160 }
  - { offsetInCU: 0xA55E, offset: 0xA55E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x20E0, symSize: 0x4A0 }
  - { offsetInCU: 0xA7F7, offset: 0xA7F7, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x2580, symSize: 0x1B0 }
  - { offsetInCU: 0xAA12, offset: 0xAA12, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x2730, symSize: 0xA0 }
  - { offsetInCU: 0xAAE1, offset: 0xAAE1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x27D0, symSize: 0x20 }
  - { offsetInCU: 0xAB18, offset: 0xAB18, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x27F0, symSize: 0x20 }
  - { offsetInCU: 0xAB4F, offset: 0xAB4F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x2810, symSize: 0x20 }
  - { offsetInCU: 0xACBE, offset: 0xACBE, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x2830, symSize: 0x1A0 }
  - { offsetInCU: 0xAFDA, offset: 0xAFDA, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x29D0, symSize: 0x130 }
  - { offsetInCU: 0xB18A, offset: 0xB18A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x2D70, symSize: 0x1B0 }
  - { offsetInCU: 0xB479, offset: 0xB479, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x2F20, symSize: 0x80 }
  - { offsetInCU: 0xB542, offset: 0xB542, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x2FA0, symSize: 0x6A0 }
  - { offsetInCU: 0xC0D7, offset: 0xC0D7, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xBCF0, symBinAddr: 0x5B40, symSize: 0xB0 }
  - { offsetInCU: 0xC14E, offset: 0xC14E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x3640, symSize: 0x70 }
  - { offsetInCU: 0xC242, offset: 0xC242, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x36B0, symSize: 0xA0 }
  - { offsetInCU: 0xC34D, offset: 0xC34D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x3750, symSize: 0x40 }
  - { offsetInCU: 0xC443, offset: 0xC443, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x3790, symSize: 0x2B0 }
  - { offsetInCU: 0xC7E9, offset: 0xC7E9, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x3A40, symSize: 0xC0 }
  - { offsetInCU: 0xC92F, offset: 0xC92F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x3B00, symSize: 0x10 }
  - { offsetInCU: 0xC9F1, offset: 0xC9F1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x3B10, symSize: 0x220 }
  - { offsetInCU: 0xCCEE, offset: 0xCCEE, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x3D30, symSize: 0x10 }
  - { offsetInCU: 0xCD4B, offset: 0xCD4B, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x3D40, symSize: 0x330 }
  - { offsetInCU: 0xD069, offset: 0xD069, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9F40, symBinAddr: 0x4070, symSize: 0x10 }
  - { offsetInCU: 0xD0C6, offset: 0xD0C6, size: 0x8, addend: 0x0, symName: _is_primitive_type, symObjAddr: 0x9F50, symBinAddr: 0x4080, symSize: 0xC0 }
  - { offsetInCU: 0xD112, offset: 0xD112, size: 0x8, addend: 0x0, symName: _field_callback, symObjAddr: 0xA100, symBinAddr: 0x4140, symSize: 0x180 }
  - { offsetInCU: 0xD208, offset: 0xD208, size: 0x8, addend: 0x0, symName: _string_callback, symObjAddr: 0xA280, symBinAddr: 0x42C0, symSize: 0x1D0 }
  - { offsetInCU: 0xD322, offset: 0xD322, size: 0x8, addend: 0x0, symName: _array_callback, symObjAddr: 0xA450, symBinAddr: 0x4490, symSize: 0x1D0 }
  - { offsetInCU: 0xD438, offset: 0xD438, size: 0x8, addend: 0x0, symName: _heap_callback, symObjAddr: 0xA620, symBinAddr: 0x4660, symSize: 0x120 }
  - { offsetInCU: 0xD52E, offset: 0xD52E, size: 0x8, addend: 0x0, symName: _object_free_callback, symObjAddr: 0xA740, symBinAddr: 0x4780, symSize: 0x60 }
  - { offsetInCU: 0xD841, offset: 0xD841, size: 0x8, addend: 0x0, symName: _tag_objects, symObjAddr: 0xA890, symBinAddr: 0x47E0, symSize: 0xB30 }
  - { offsetInCU: 0xE5B3, offset: 0xE5B3, size: 0x8, addend: 0x0, symName: _release_object_info, symObjAddr: 0xB3C0, symBinAddr: 0x5310, symSize: 0x100 }
  - { offsetInCU: 0xE793, offset: 0xE793, size: 0x8, addend: 0x0, symName: __ZL5agentP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xB5C0, symBinAddr: 0x5410, symSize: 0x730 }
  - { offsetInCU: 0xEEB6, offset: 0xEEB6, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xBDA0, symBinAddr: 0x5BF0, symSize: 0x36A }
...
